# General
.DS_Store
.AppleDouble
.LSOverride
Thumbs.db
desktop.ini

# VS Code
.vscode/*
!.vscode/extensions.json
!.vscode/settings.json
!.vscode/tasks.json
!.vscode/launch.json
.history/

# Node.js / Javascript
node_modules/
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
bun.lockb
.npm/

# SvelteKit
.svelte-kit/
build/
.env
.env.*
!.env.example
vite.config.js.timestamp-*
vite.config.ts.timestamp-*

# Python
__pycache__/
*.py[cod]
*$py.class
*.so
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib64/
parts/
sdist/
var/
wheels/
share/python-wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# Python Environments
.env
.venv
env/
venv/
ENV/
env.bak/
venv.bak/

# Tauri

bun.lock
dataset/